Subject: bug#51733: 27.1; Detect impossible email addresses better

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 19 Jan 2022 15:36:34 +0100

Robert Pluim <[email-masked]> writes:

> Based on the message buffer I have, gnus didnʼt encode it again, so it
> must have been gmail. Of course that header was ascii-only, so why did
> they encode again?

RFC2047 isn't just about ASCII -- it's about a bunch of other unsafe
characters, like =, which will trigger encoding of (naked) words that
contain those characters.

> What did the From: look like on the message you've just replied to?
> Gnus should not have encoded it, and it contained utf-8 in the display
> name.

I included the From in wire format and displayed format already.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no